Bug 502078 - atd started on resume from suspend?
atd started on resume from suspend?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: at (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 14:48 EDT by James Ralston
Modified: 2009-08-10 15:01 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.1.10-31.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-10 03:55:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Ralston 2009-05-21 14:48:00 EDT
[I'm filing against pm-utils, but that's just a guess.]

Even though atd is not configured to run in any runlevel, whenever my Fedora 11 Preview laptop resumes from a suspend, atd is running:

$ /sbin/chkconfig | grep atd
atd             0:off   1:off   2:off   3:off   4:off   5:off   6:off

$ env - /sbin/service atd status
atd is stopped

$ pm-suspend --auto-quirks

[wait for system to suspend; then resume]

$ /sbin/chkconfig | grep atd
atd             0:off   1:off   2:off   3:off   4:off   5:off   6:off

$ env - /sbin/service atd status
atd (pid  8319) is running...

This shouldn't happen.

I've tried to figure out what is starting atd, but failed.

Versions:

0:at-3.1.10-30.fc11.x86_64
0:pm-utils-1.2.5-2.fc11.x86_64
Comment 1 Bug Zapper 2009-06-09 12:16:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Marcela Mašláňová 2009-07-14 08:46:41 EDT
> I've tried to figure out what is starting atd, but failed.
> 
> Versions:
> 
> 0:at-3.1.10-30.fc11.x86_64
> 0:pm-utils-1.2.5-2.fc11.x86_64  

My fault. I didn't check after suspend whether atd daemon was on/off. I reassign it to at package.
Comment 3 Fedora Update System 2009-07-17 07:46:16 EDT
at-3.1.10-31.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/at-3.1.10-31.fc11
Comment 4 Fedora Update System 2009-07-22 18:00:41 EDT
at-3.1.10-31.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update at'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7884
Comment 5 Philippe 2009-07-24 03:54:32 EDT
HP 2140 - Fedora 11

When booting, it seems to loop on "Starting ATD" : GUI is not coming and I don't know how to resume start-up process (I'm newbie).
Every 3 or 4 minutes the screen shows start-up text for half a second and went dark again. I stroked F2 to get it verbose.

Yesterday night as I had just installed Fedora, everything was looking ok.

This morning, trying to switch on the mini bring me this issue.

Is there a way to resume ?
Comment 6 Marcela Mašláňová 2009-07-24 04:14:28 EDT
I suppose this is not related issue. Probably the next service won't start.

I suggest to check fedoraforum.org or irc channel for fedora newbies questions.
Comment 7 Fedora Update System 2009-07-31 14:04:55 EDT
at-3.1.10-31.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 James Ralston 2009-08-04 10:32:20 EDT
I apologize for the delay in getting back to this.

at-3.1.10-31.fc11 still automatically starts on resume from suspend, even if it's not configured to run (via chkconfig).

What is the mechanism that's being used to start it after a resume? If I knew that, I could probably figure out what's happening...
Comment 9 Marcela Mašláňová 2009-08-10 03:55:08 EDT
After longer discussion it was fixed in rawhide properly.

The daemon shouldn't start if you don't have a script:
/usr/lib/pm-utils/sleep.d/56atd 
Pm-utils is checking quirks in this directory and run these scripts.

I'm afraid it won't be possible to backport fix from rawhide into F-11.
Comment 10 James Ralston 2009-08-10 15:01:53 EDT
As long as it's fixed properly going forward, that's fine.

Note You need to log in before you can comment on or make changes to this bug.